6.0.0-git
2019-03-23

[#11198] e-Mail notification with new appointment
Summary e-Mail notification with new appointment
Queue Kronolith
Queue Version Git develop
Type Bug
State Resolved
Priority 2. Medium
Owners lang (at) b1-systems (dot) de
Requester klaus (at) tachtler (dot) net
Created 2012-05-16 (2502 days ago)
Due
Updated 2012-08-29 (2397 days ago)
Assigned 2012-06-16 (2471 days ago)
Resolved 2012-07-31 (2426 days ago)
Milestone
Patch No

History
2012-08-29 12:46:08 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit 559a76d09fdaa8c32da260a393abd7ce60916fc2
Author: Ralf Lang <lang@b1-systems.de>
Date:   Tue Jul 31 08:01:27 2012 +0000

     [rla] Fix sender of appointment notification (Bug #11198)

  kronolith/docs/CHANGES |    1 +
  kronolith/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/559a76d09fdaa8c32da260a393abd7ce60916fc2
2012-08-29 12:45:32 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (master):

commit e2469495d0b1a9395d91fa1271578c32f6c6e961
Author: Ralf Lang <lang@b1-systems.de>
Date:   Mon Jun 25 13:37:17 2012 +0200

     Bug [#11198]: Use correct sender identity

  kronolith/lib/Kronolith.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/e2469495d0b1a9395d91fa1271578c32f6c6e961
2012-07-31 08:03:47 Ralf Lang (B1 Systems GmbH) Comment #12
State ⇒ Resolved
Version ⇒ Git develop
Reply to this comment
Resolved for next minor release of Kronolith H4 and next beta of kronolith H5
2012-07-31 08:02:10 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (develop):

commit 559a76d09fdaa8c32da260a393abd7ce60916fc2
Author: Ralf Lang <lang@b1-systems.de>
Date:   Tue Jul 31 08:01:27 2012 +0000

     [rla] Fix sender of appointment notification (Bug #11198)

  kronolith/docs/CHANGES |    1 +
  kronolith/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/559a76d09fdaa8c32da260a393abd7ce60916fc2
2012-07-31 08:01:54 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (FRAMEWORK_4):

commit 75ed78ceda8f7fbbfeff6b71ff6706139d5229b9
Author: Ralf Lang <lang@b1-systems.de>
Date:   Tue Jul 31 08:00:09 2012 +0000

     [rla] Fix sender of appointment notification (Bug #11198)

  kronolith/docs/CHANGES |    1 +
  kronolith/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/75ed78ceda8f7fbbfeff6b71ff6706139d5229b9
2012-07-31 07:42:11 klaus (at) tachtler (dot) net Comment #9 Reply to this comment
Hi,
Can you please test the last change set from  either git develop 
(h5) or git FRAMEWORK_4 (h4)?
Yes, the patch solves the problem! (Tested witch h4)
In our installation, applying this change SEEMS to fix this for 
production setups.
Thank you so much, for your great work!

Klaus.

2012-07-30 18:30:40 Ralf Lang (B1 Systems GmbH) Comment #8 Reply to this comment
Can you please test the last change set from  either git develop (h5) 
or git FRAMEWORK_4 (h4)?
In our installation, applying this change SEEMS to fix this for 
production setups.
2012-07-30 18:20:42 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_4):

commit 8dc18b7916dac52df8c7f33bb63485a4aec11aa7
Author: Ralf Lang <lang@b1-systems.de>
Date:   Mon Jul 30 18:19:00 2012 +0000

     Bug [#11198]: Use correct sender identity

  kronolith/lib/Kronolith.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/8dc18b7916dac52df8c7f33bb63485a4aec11aa7
2012-07-30 18:04:12 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit e2469495d0b1a9395d91fa1271578c32f6c6e961
Author: Ralf Lang <lang@b1-systems.de>
Date:   Mon Jun 25 13:37:17 2012 +0200

     Bug [#11198]: Use correct sender identity

  kronolith/lib/Kronolith.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/e2469495d0b1a9395d91fa1271578c32f6c6e961
2012-07-23 08:31:51 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #5 Reply to this comment
I can reproduce this in our production setup.
Yes we have the same problem.

2012-07-19 09:25:49 Jan Schneider Assigned to Ralf Lang (B1 Systems GmbH)
Taken from Jan Schneider
 
2012-07-19 09:22:28 Ralf Lang (B1 Systems GmbH) Comment #4 Reply to this comment
I can reproduce this in our production setup.

[Show Quoted Text - 16 lines]
2012-06-16 17:50:37 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2012-05-17 07:57:10 klaus (at) tachtler (dot) net Comment #3 Reply to this comment
Hi,

Following Setup:

Shared calendar - created by the user1 (Administrator):

User1: show read write delete delegate ... all rights set for user1
User2: show read write delete delegate ... all rights set for user2
User3: show read write delete delegate ... all rights set for user3

When user2 inserts a date in the shared calendar, always user3 is the 
sender of the notification e-mail?

Thank you!
Klaus.

2012-05-16 20:18:50 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
When I insert a new date in kronolith, a notification was send - BUT 
- the sender of the e-Mail ist not the logged in user which inserts 
the date, it's always the same user - another user.
And which one?
2012-05-16 19:27:15 klaus (at) tachtler (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ e-Mail notification with new appointment
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I have a small family installation of the latest horde 4 with kronolith.

When I insert a new date in kronolith, a notification was send - BUT - 
the sender of the e-Mail ist not the logged in user which inserts the 
date, it's always the same user - another user.

The kronolith calendar is a shared used calender. The users don't have 
user calendars, the only calendar in my horde 4 setup is a shared 
calendar.

Thank you!
Klaus.


Saved Queries